import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/heading.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { vueThemingProps } from "@chakra-ui/vue-utils";
import { chakra, useStyleConfig } from "@chakra-ui/vue-system";
import { computed, defineComponent } from "vue";
import { filterUndefined } from "@chakra-ui/utils";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CHeading = defineComponent({
  name: "CHeading",
  props: {
    as: {
      type: [String, Object],
      default: "h2"
    },
    ...vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig("Heading", themingProps);
    return () => _createVNode(chakra.h2, _mergeProps({
      "as": props.as,
      "__label": "heading",
      "__css": styles.value
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

export {
  CHeading
};
